
public class Class463_Sub5 extends Class463 {

   public static final int anInt7986 = 2;
   public static final int anInt7987 = 0;
   public static final int anInt7988 = 1;
   public static final int anInt7989 = 3;
   public static final int anInt7990 = 4;


   public void method12823() {
      if(this.anInt5736 * -204978999 < 0 || -204978999 * this.anInt5736 > 4) {
         this.anInt5736 = this.method7807(-1216260137) * -1684335239;
      }

   }

   public Class463_Sub5(int var1, Class225_Sub6 var2) {
      super(var1, var2);
   }

   public void method12824(int var1) {
      if(this.anInt5736 * -204978999 < 0 || -204978999 * this.anInt5736 > 4) {
         this.anInt5736 = this.method7807(-1323376580) * -1684335239;
      }

   }

   public int method12825() {
      return this.anInt5736 * -204978999;
   }

   int method7808(int var1, int var2) {
      return 1;
   }

   int method7815() {
      return 0;
   }

   public int method12826(byte var1) {
      return this.anInt5736 * -204978999;
   }

   public int method12827() {
      return this.anInt5736 * -204978999;
   }

   int method7811(int var1) {
      return 1;
   }

   int method7813(int var1) {
      return 1;
   }

   void method7806(int var1) {
      this.anInt5736 = -1684335239 * var1;
   }

   void method7812(int var1, byte var2) {
      this.anInt5736 = -1684335239 * var1;
   }

   void method7810(int var1) {
      this.anInt5736 = -1684335239 * var1;
   }

   public void method12828() {
      if(this.anInt5736 * -204978999 < 0 || -204978999 * this.anInt5736 > 4) {
         this.anInt5736 = this.method7807(-1106008181) * -1684335239;
      }

   }

   public int method12829() {
      return this.anInt5736 * -204978999;
   }

   public int method12830() {
      return this.anInt5736 * -204978999;
   }

   public Class463_Sub5(Class225_Sub6 var1) {
      super(var1);
   }

   void method7814(int var1) {
      this.anInt5736 = -1684335239 * var1;
   }

   int method7807(int var1) {
      return 0;
   }
}
